from django.contrib import admin

from ..models.training_plan_day import TrainingPlanDay, TrainingPlanDayTranslation


class TrainingPlanDayTranslationInline(admin.TabularInline):
    model = TrainingPlanDayTranslation
    fields = ('language_code', 'name_translation')
    extra = 0


class TrainingPlanDayAdmin(admin.ModelAdmin):
    list_display = ('name',)
    fields = ('name',)

    inlines = [
        TrainingPlanDayTranslationInline,
    ]


admin.site.register(TrainingPlanDay, TrainingPlanDayAdmin)
admin.autodiscover()
