class TestRouter:
    """
        A router to control all database operations on models
        """
    live_app_labels = {'controlling'}

    def db_for_read(self, model, **hints):
        if model._meta.app_label == 'controlling':
            return 'live'
        else:
            return 'default'

    def db_for_write(self, model, **hints):
        if model._meta.app_label == 'controlling':
            if model._meta.db_table == 'notification_history':
                return 'live'
            else:
                raise Exception("This table cannot be changed!")
        return 'default'

    def allow_relation(self, obj1, obj2, **hints):
        return True

    def allow_migrate(self, db, app_label, model_name=None, **hints):
        return False
